PAD(4)

NAME
pad - Pseudo audio device driver

SYNOPSIS
pseudo-device pad
audio* at audiobus?

DESCRIPTION
pad is a pseudo-device driver which provides support for feeding back PCM data from consumers of an audio(4) device to userland.

The raw PCM data readable from /dev/padN is encoded in stereo little-endian 16-bit linear PCM at 44100 Hz.

FILES
The pad pseudo-device driver receives data from /dev/audioN and feeds the raw PCM output to /dev/padN. /dev/audioN is created once /dev/padN is opened.

/dev/audioN

/dev/padN

EXAMPLES
The following example streams an MP3 to an Apple AirTunes compatible device:

    $ rtunes - < /dev/pad0 &
    $ mpg123 -a /dev/audio1 mozart.mp3

Record the output of an application (in this case, audioplay):

    $ ffmpeg -f s16le -ar 44100 -ac 2 -i /dev/pad0 output.wav
    $ audioplay -d /dev/audio1 input.wav

SEE ALSO
audio(4)

HISTORY
The pad driver appeared in NetBSD 5.0.

AUTHORS
Jared D. McNeill <jmcneill@invisible.ca>